Skip to main content
GET
Get Community by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Scopes

list.read

View Lists, members, and followers of Lists you created or are a member of, including private Lists.

tweet.read

View all Posts you can see, including those from protected accounts.

users.read

View any account you can see, including protected accounts.

Path Parameters

id
string
required

The ID of the Community. The unique identifier of this Community.

Pattern: ^[0-9]{1,19}$
Example:

"1146654567674912769"

Query Parameters

community.fields
enum<string>[]

A comma separated list of Community fields to display. The fields available for a Community object.

Minimum array length: 1
Available options:
access,
created_at,
description,
id,
join_policy,
member_count,
name
Example:

Response

The request has succeeded.

data
object

A X Community is a curated group of Posts.

errors
object[]
Minimum array length: 1

An HTTP Problem Details object, as defined in IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).